---
categories: sysadmin
title: Howto Conda
...

Conda est un système de gestion de paquets et d’environnement open-source qui fonctionne sous Windows, macOS et Linux. Conda installe, exécute et met à jour rapidement les paquets et leurs dépendances. Conda crée, enregistre, charge et bascule facilement entre les environnements sur votre ordinateur local.

# Installation

~~~
# curl https://repo.anaconda.com/pkgs/misc/gpgkeys/anaconda.asc | gpg --dearmor > conda.gpg
# install -o root -g root -m 644 conda.gpg /etc/apt/keyrings/conda-archive-keyring.gpg
# mkdir /etc/apt/keyrings
# install -o root -g root -m 644 conda.gpg /etc/apt/keyrings/conda-archive-keyring.gpg
# gpg --keyring /etc/apt/keyrings/conda-archive-keyring.gpg --no-default-keyring --fingerprint 34161F5BF5EB1D4BFBBB8F0A8AEB4F8B29D82806
# echo "deb [arch=amd64 signed-by=/etc/apt/keyrings/conda-archive-keyring.gpg] https://repo.anaconda.com/pkgs/misc/debrepo/conda stable main" > /etc/apt/sources.list.d/conda.list
# echo "deb [arch=amd64 signed-by=/etc/apt/keyrings/conda-archive-keyring.gpg] https://repo.anaconda.com/pkgs/misc/debrepo/conda stable main" | sudo tee -a /etc/apt/sources.list.d/conda.list
# chmod o+rx /etc/apt/keyrings/
# chmod o+r /etc/apt/keyrings/conda-archive-keyring.gpg
# apt update
# apt install conda
~~~

Voir la version

~~~
source /opt/conda/etc/profile.d/conda.sh
conda -V
# conda 23.9.0
~~~

# Configuration

# Cas d'usage

# FAQ