- Documentation : [https://grafana.com/docs/agent/latest/]()
- Status de cette page : unstable / bulseye

[Grafana agent](https://github.com/grafana/agent) est un collecteur de logs, métriques et traces.

# Installation

~~~(sh)
# wget -q -O /etc/apt/trusted.gpg.d/grafana.asc https://apt.grafana.com/gpg.key
# chmod 644 /etc/apt/trusted.gpg.d/grafana.asc
# echo "deb [signed-by=/etc/apt/trusted.gpg.d/grafana.asc] https://apt.grafana.com stable main" > /etc/apt/sources.list.d/grafana.list
# apt update && apt install grafana-agent-flow
~~~

# Configuration

On désactive l'envoi de statistique d'utilisation des composants aux développeurs des Grafana agent en ajouter `--disable-reporting` dans la varible `CUSTOM_ARGS` du fichier `/etc/default/grafana-agent-flow` :

~~~(sh) 
# grep CUSTOM_ARGS /etc/default/grafana-agent-flow
CUSTOM_ARGS="--disable-reporting"
~~~